#ifndef __File_h__
#define __File_h__

#include "includes"

///
/// File
/// 
/// File abstraction class for accessing local file system files.
///

namespace core {
   
   class File {
      
    public:
      File(std::string fileName, int mode = O_RDONLY, int authority = 0664);
      ~File(); 
      void setBufferSize(size_t size);
      void read();
      void write(std::string data);
      
      char *buffer;
      size_t size;
      
      std::string fileName;
      
    private:
      int fd;
      
   };
   
}

#endif
